var-imp.hpp File Reference
`#include <cmath>`
`#include <gecode/int/var-imp/delta.hpp>`
`#include <gecode/int/var-imp/int.hpp>`
`#include <gecode/int/var-imp/bool.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Int::IntDelta
| Integer delta information for advisors. More...
class | Gecode::Int::IntVarImp
| Integer variable implementation. More...
class | Gecode::Int::IntVarImp::RangeList
| Lists of ranges (intervals). More...
class | Gecode::Int::IntVarImpFwd
| Range iterator for ranges of integer variable implementation. More...
class | Gecode::Int::IntVarImpBwd
| Backward iterator for ranges of integer variable implementations. More...
class | Gecode::Int::BoolVarImp
| Boolean variable implementation. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Typedefs

typedef unsigned int | Gecode::Int::BoolStatus
| Type for status of a Boolean variable.